.invalid {
    border-color: red !important;
}

.valid {
    border-color: green !important;
}

label.invalid {
    color: red !important;
    /* Длѝ подѝветки текѝта label */
}

label.valid {
    color: green !important;
    /* Длѝ подѝветки текѝта label */
}

button:disabled {
    background-color: grey;
}

.basket__price {
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.basket__product-remove {
    position: relative;
}

.remove-all-section {
    text-align: right;
    font-size: 14px;
}

.remove_section {
    display: flex;
    align-items: center;
    gap: 8px;
    justify-content: end;
}


.remove-all-section a {
    color: rgba(0, 0, 0, 1);
}

.tooltip {
    display: none;
    position: absolute;
    top: -60%;
    right: 110%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.75);
    color: white;
    padding: 5px 10px;
    border-radius: 4px;
    font-size: 12px;
    white-space: nowrap;
    z-index: 10;
    opacity: 0;
    width: 200px;
    transition: opacity 0.3s ease;
}


.basket__product-remove:hover .tooltip {
    display: block;
    opacity: 1;
}

.basket_empty {
    font-weight: 400;
    font-size: 20px;

    svg {
        width: 16px;
        height: 16px;
    }

    .cg__btn-circle {
        margin-bottom: 24px;
    }
}

.basket__qty-decrement:disabled {
    background: transparent;
}


.basket-disclaimer-head {
    flex-direction: column !important;
}

.basket-disclaimer {
    font-size: 12px;

    @media (min-width: 768px) {
        font-size: 18px;
        max-width: calc(100% * (2 / 3));
    }
}